MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004202ardourfeaturespublic2011-07-19 08:192012-10-17 15:29
Reporterin0giro 
Assigned Tocth103 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusacknowledgedResolutionfixed 
PlatformIntel Core2 DuoOSGentoo amd64 + Pro-Audio overlayOS Versionstable
Product Version 
Target Version3.XFixed in Version 
Summary0004202: "glue to bars/beats" enhancements
Descriptionjust a few enhancement requests to the very useful "glue to bars/beats" option for regions and markers:

1) an option to make this the default for all newly created a) regions b) markers (i.e. basically anything that can be positioned in terms of bars/beats). tempo & meter changes are already handled like this.

2) an option to apply "glue to bars/beats" to all regions in a track (including not currently visible/selected playlists)

3) an option to apply "glue to bars/beats" to all existing index markers

for someone who works mainly with bars/beats, does lots of tempo/meter changes and often moves things around (like me), this would be very useful for changing the timeline and not having to manually move regions, markers, especially regions not in a currently visible/selected playlist on a track.

thanks.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011504)
cth103 (administrator)
2011-09-14 12:22

When you say "newly created" regions... do you mean those created e.g. by a split? by a copy? or just by a record / import?
(0011510)
cth103 (administrator)
2011-09-14 13:39

Option to glue markers implemented in SVN 10087.
(0011511)
in0giro (reporter)
2011-09-14 13:47

as for "newly created regions", i would say all of the above (though maybe an multi-checkbox for selecting particulars). basically, any time a new region is created by whatever method, it would automatically be glued to bars & beats.

thanks, i will check it out.
(0011654)
in0giro (reporter)
2011-10-05 05:24

i can confirm that the "create new markers glued to bars & beats" option is working with initial testing in A3 rev. 10183.

thanks!

let me know if/when you would like me to test out the same feature with regions.
(0012203)
cth103 (administrator)
2011-11-24 11:33

Region glue option implemented in SVN 10821.
(0012219)
in0giro (reporter)
2011-11-27 06:02

confirmed in SVN 10826. thanks!
(0012221)
in0giro (reporter)
2011-11-27 06:16

just realized that some of the requested features seem not to be implemented yet:

2) an option to apply "glue to bars/beats" to all regions in a track (including not currently visible/selected playlists)

- is this possible, particularly with regions in hidden playlists?

3) an option to apply "glue to bars/beats" to all existing index markers

- trying this out with multiply selected markers (i.e. with blue lines) and changing the glue state on one does not change all other markers currently.

thanks.

- Issue History
Date Modified Username Field Change
2011-07-19 08:19 in0giro New Issue
2011-07-19 08:34 cth103 cost => 0.00
2011-07-19 08:34 cth103 Target Version => 3.0-beta1
2011-09-14 12:22 cth103 Note Added: 0011504
2011-09-14 12:22 cth103 Status new => feedback
2011-09-14 13:39 cth103 Note Added: 0011510
2011-09-14 13:47 in0giro Note Added: 0011511
2011-10-05 05:24 in0giro Note Added: 0011654
2011-11-15 07:53 cth103 Target Version 3.0-beta1 => 3.0-beta2
2011-11-24 11:33 cth103 Note Added: 0012203
2011-11-24 11:33 cth103 Status feedback => resolved
2011-11-24 11:33 cth103 Resolution open => fixed
2011-11-24 11:33 cth103 Assigned To => cth103
2011-11-27 06:02 in0giro Note Added: 0012219
2011-11-27 06:16 in0giro Note Added: 0012221
2011-11-27 10:40 cth103 Status resolved => acknowledged
2012-01-10 12:46 cth103 Target Version 3.0-beta2 => 3.0-beta3
2012-02-14 09:20 paul Target Version 3.0-beta3 => 3.0 beta4
2012-05-23 08:09 cth103 Target Version 3.0 beta4 => 3.0
2012-10-17 15:29 paul Target Version 3.0 => 3.X


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker